Integrator
Keywords: uk.ac.ic.doc.automed.matching.Integrator,Integrator class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.matching
Class Integrator

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.matching.Integrator

Direct Known Subclasses:
  SQLIntegrator

public abstract class Integrator
extends java.lang.Object

Field Summary
`protected java.util.ArrayList` | `disjoints`
`protected java.util.ArrayList` | `equivalents`
`protected java.util.ArrayList` | `overlaps`
`protected java.util.ArrayList` | `subsumptions`

Constructor Summary
`Integrator()`

Method Summary
`protected boolean` | `areCompatible(SchemaElementPair pair)`
`protected boolean` | `areCompatible(SchemaElementPair[] pairs)`
`protected java.util.ArrayList` | `areRelated(SchemaObject[] objects1, SchemaObject[] objects2, SemanticRelationship rel, boolean isAtomic)`
`protected static boolean` | `contains(SchemaElementPair[] pairs, SchemaElement[] elements, int index)`
`protected static boolean` | `contains(SchemaElementPair[] container, SchemaElementPair[] containee)`
`protected boolean` | `existsIn(SchemaElement element, SchemaElementPair[] pairs, int index)`
`protected boolean` | `existsIn(java.lang.String name, SchemaObject[] objects)`
`static Schema` | `extendToMatch(Schema s1, Schema s2)`
`protected java.util.ArrayList` | `findRelated(SchemaObject[] objects1, SchemaObject[] objects2, SemanticRelationship rel, boolean isAtomic)`
`protected java.util.ArrayList` | `getAllCombinations(java.lang.Object[] pairs1, java.lang.Object[] pairs2)`
`protected java.lang.Object[]` | `getCombinations(java.lang.Object[] array)`
`protected java.util.ArrayList[]` | `getCombinationsOverMultipleArrays(java.util.ArrayList[] array)`
`protected static SemanticRelationship` | `getCommonRelationship(SchemaElementPairRelationship[] pairs)`
`protected static SchemaElement[]` | `getElements(SchemaObject[] objects, boolean isAtomic)`
`protected SemanticRelationship` | `getRelationship(SchemaElementPair pair)`
`abstract Schema[]` | `getSchemas()`
`protected SchemaElementPair[]` | `isRelated(SchemaObject object, SchemaObject[] objects, SemanticRelationship rel, boolean isAtomic)`
`abstract void` | `mergeSchemas()`
`protected SchemaElementPair[]` | `removeDuplicates(SchemaElementPair[] hasDups)`
`abstract void` | `resolveNamingConflicts()`
`abstract void` | `resolveStructuralConflicts()`
`protected SchemaElementPair[]` | `selectPairs(java.util.ArrayList allPairs, java.util.ArrayList constraintPairs)`
`protected SchemaElementPair[]` | `selectPairs(java.util.ArrayList allPairs, SchemaElement[] constraintElements, int index)`
`void` | `setRelationships(SchemaElementPairRelationship[] rels)`
`abstract void` | `setSchemas(Schema[] schemas)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### equivalents

    protected java.util.ArrayList equivalents

### subsumptions

    protected java.util.ArrayList subsumptions

### overlaps

    protected java.util.ArrayList overlaps

### disjoints

    protected java.util.ArrayList disjoints

Constructor Detail

### Integrator

    public Integrator()

Method Detail

### resolveNamingConflicts

    public abstract void resolveNamingConflicts()
                                         throws IntegratorException

    `IntegratorException`

### mergeSchemas

    public abstract void mergeSchemas()
                               throws IntegratorException

    `IntegratorException`

### resolveStructuralConflicts

    public abstract void resolveStructuralConflicts()
                                             throws IntegratorException

    `IntegratorException`

### getSchemas

    public abstract Schema[] getSchemas()

### setSchemas

    public abstract void setSchemas(Schema[] schemas)
                             throws IntegratorException

    `IntegratorException`

### setRelationships

    public void setRelationships(SchemaElementPairRelationship[] rels)

### extendToMatch

    public static Schema extendToMatch(Schema s1,
                                       Schema s2)
                                throws IntegrityException,
                                       NotFoundException,
                                       TypeMismatchException

    `IntegrityException`
    `NotFoundException`
    `TypeMismatchException`

### contains

    protected static boolean contains(SchemaElementPair[] pairs,
                                      SchemaElement[] elements,
                                      int index)
                               throws java.lang.IndexOutOfBoundsException

    `java.lang.IndexOutOfBoundsException`

### contains

    protected static boolean contains(SchemaElementPair[] container,
                                      SchemaElementPair[] containee)

### selectPairs

    protected SchemaElementPair[] selectPairs(java.util.ArrayList allPairs,
                                              SchemaElement[] constraintElements,
                                              int index)
                                       throws java.lang.IndexOutOfBoundsException

    `java.lang.IndexOutOfBoundsException`

### selectPairs

    protected SchemaElementPair[] selectPairs(java.util.ArrayList allPairs,
                                              java.util.ArrayList constraintPairs)
                                       throws IntegratorException

    `IntegratorException`

### existsIn

    protected boolean existsIn(SchemaElement element,
                               SchemaElementPair[] pairs,
                               int index)
                        throws java.lang.IndexOutOfBoundsException

    `java.lang.IndexOutOfBoundsException`

### existsIn

    protected boolean existsIn(java.lang.String name,
                               SchemaObject[] objects)

### getCommonRelationship

    protected static SemanticRelationship getCommonRelationship(SchemaElementPairRelationship[] pairs)

### getRelationship

    protected SemanticRelationship getRelationship(SchemaElementPair pair)

### areCompatible

    protected boolean areCompatible(SchemaElementPair pair)

### areCompatible

    protected boolean areCompatible(SchemaElementPair[] pairs)

### areRelated

    protected java.util.ArrayList areRelated(SchemaObject[] objects1,
                                             SchemaObject[] objects2,
                                             SemanticRelationship rel,
                                             boolean isAtomic)

### findRelated

    protected java.util.ArrayList findRelated(SchemaObject[] objects1,
                                              SchemaObject[] objects2,
                                              SemanticRelationship rel,
                                              boolean isAtomic)

### getElements

    protected static SchemaElement[] getElements(SchemaObject[] objects,
                                                 boolean isAtomic)

### getAllCombinations

    protected java.util.ArrayList getAllCombinations(java.lang.Object[] pairs1,
                                                     java.lang.Object[] pairs2)

### removeDuplicates

    protected SchemaElementPair[] removeDuplicates(SchemaElementPair[] hasDups)

### getCombinationsOverMultipleArrays

    protected java.util.ArrayList[] getCombinationsOverMultipleArrays(java.util.ArrayList[] array)

### getCombinations

    protected java.lang.Object[] getCombinations(java.lang.Object[] array)

### isRelated

    protected SchemaElementPair[] isRelated(SchemaObject object,
                                            SchemaObject[] objects,
                                            SemanticRelationship rel,
                                            boolean isAtomic)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD